#!/usr/bin/python

## system-config-language.py - Contains the startup script for system-config-language
## Copyright (C) 2002-2014 Red Hat, Inc.
## Copyright (C) 2002, 2003 Brent Fox <bfox@redhat.com>
## Copyright (C) 2013-2014 Parag Nemade <pnemade@redhat.com>
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

import signal
import sys
import getopt
import os

import gettext
_ = lambda x: gettext.ldgettext("system-config-language", x)
N_ = lambda x: x

if __name__ == "__main__":
    signal.signal (signal.SIGINT, signal.SIG_DFL)

def useTextMode():
    import language_tui
    app = language_tui.childWindow()

def useGuiMode():
    import language_gui
    app = language_gui.SystemConfigLanguage()
    app.run(sys.argv)
    
def useCliMode(kbdtype, help):
    sys.stderr.write(_("Usage: system-config-language [--text]\n"))
    sys.exit(0)

opts, kbdtype = getopt.getopt(sys.argv[1:], "d:h", ["text", "help"])

help = None

for (opt, value) in opts:
    if opt == "--help":
        help = 1
        useCliMode(kbdtype, help)

if "--text" in sys.argv or "-t" in sys.argv:
    useTextMode()

else:
     try:
        if os.environ['DISPLAY'] != None:
           useGuiMode()
     except KeyError:
        print _("Starting graphical mode failed.  Starting text mode instead.")
        useTextMode()
 
